org.eclipse.gmt.modisco.infra.browser.uicore.extensions.naming

## Class AbstractNameProvider

- java.lang.Object
- - org.eclipse.gmt.modisco.infra.browser.uicore.extensions.naming.AbstractNameProvider

All Implemented Interfaces:
  NameProvider

Deprecated.
Will be replaced by EMF Facet, cf https://bugs.eclipse.org/bugs/show_bug.cgi?id=470715

    @Deprecated
    public abstract class AbstractNameProvider
    extends java.lang.Object
    implements NameProvider

An abstract `NameProvider` that you can reuse when implementing the naming extension. It provides the `getDefaultName` method, which finds a default name (which can be empty) for any model element.

### Constructor Summary

Constructors
Constructor and Description
`AbstractNameProvider()` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gmt.modisco.infra.browser.uicore.extensions.naming.NameProvider

`getName`

### Constructor Detail

#### AbstractNameProvider

    public AbstractNameProvider()

Deprecated.